> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.speech.palatine.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Download As File

> Выгружает результаты транскрибации в выбранном файловом формате (srt, vtt, txt, csv, xlsx).

Для форматов csv и xlsx можно указать тип экспорта: segments (по умолчанию) или words.



## OpenAPI

````yaml get /api/v1/transcribe/download_as_file/{task_id}
openapi: 3.1.0
info:
  title: Palatine Cloud API
  description: >-
    Облачный API для транскрипции аудио, диаризации, анализа тональности и AI
    суммаризации
  version: 2.0.0
servers:
  - url: https://api.palatine.ru
    description: Продакшн сервер
security: []
paths:
  /api/v1/transcribe/download_as_file/{task_id}:
    get:
      tags:
        - Transcribe polling API
      summary: Download As File
      description: >-
        Выгружает результаты транскрибации в выбранном файловом формате (srt,
        vtt, txt, csv, xlsx).


        Для форматов csv и xlsx можно указать тип экспорта: segments (по
        умолчанию) или words.
      operationId: download_as_file_api_v1_transcribe_download_as_file__task_id__get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            title: Task Id
        - name: file_format
          in: query
          required: true
          schema:
            type: string
            description: Формат файла. Поддерживаются 'srt', 'vtt', 'txt', 'csv' и 'xlsx'.
            title: File Format
          description: Формат файла. Поддерживаются 'srt', 'vtt', 'txt', 'csv' и 'xlsx'.
        - name: export_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ExportType'
            description: >-
              Тип экспорта для csv/xlsx: 'segments' (по сегментам) или 'words'
              (по словам).
            default: segments
          description: >-
            Тип экспорта для csv/xlsx: 'segments' (по сегментам) или 'words' (по
            словам).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
            application/octet-stream: {}
        '404':
          description: Task not found
        '409':
          description: Task is not ready yet
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExportType:
      type: string
      enum:
        - segments
        - words
      title: ExportType
      description: Тип экспорта данных транскрипции.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````